<ComClass(ComClass1.ClassId, ComClass1.InterfaceId, ComClass1.EventsId)> _
Public Class ComClass1

#Region "COM GUID"
    ' 다음 GUID는 이 클래스의 COM ID와 COM 인터페이스를 
    ' 제공합니다. 이 GUID를 변경하면 기존 클라이언트가 해당 
    ' 클래스에 더 이상 액세스할 수 없게 됩니다.
    Public Const ClassId As String = "ee11583f-ce47-4e93-b2a6-c458fa79fa25"
    Public Const InterfaceId As String = "9c1ce8cb-3c3c-497d-9ac2-2f0fcef12dc0"
    Public Const EventsId As String = "00e69b10-ed4c-4ca3-b457-754cda9d8a31"
#End Region

    ' 생성 가능한 COM 클래스에는 매개 변수가 없는 Public Sub New()가 
    ' 포함되어 있어야 합니다. 그렇지 않으면 이 클래스가 
    ' COM 레지스트리에 등록되지 않으며 CreateObject를 
    ' 통해 이 클래스가 생성되지 않습니다.
    Public Sub New()
        MyBase.New()
    End Sub

End Class


